summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorJason Zaman <perfinion@gentoo.org>2021-11-14 19:23:29 -0800
committerJason Zaman <perfinion@gentoo.org>2021-11-15 09:52:11 -0800
commit09f30deb3b04e3aa425800858f29fa02fa33e06e (patch)
tree22e4977c26b9df9c4149d1d214ba59bec62c0ffc /eclass
parentdev-libs/cudnn: Add 8.3 for cuda-11.5 (diff)
downloadgentoo-09f30deb3b04e3aa425800858f29fa02fa33e06e.tar.gz
gentoo-09f30deb3b04e3aa425800858f29fa02fa33e06e.tar.bz2
gentoo-09f30deb3b04e3aa425800858f29fa02fa33e06e.zip
bazel.eclass: Fix distinct_host_configuration
The cross-compiler logic was inverted. Almost halves the build time for TensorFlow. Signed-off-by: Jason Zaman <perfinion@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/bazel.eclass4
1 files changed, 3 insertions, 1 deletions
diff --git a/eclass/bazel.eclass b/eclass/bazel.eclass
index ac7ca241519c..9e09255fd66f 100644
--- a/eclass/bazel.eclass
+++ b/eclass/bazel.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: bazel.eclass
@@ -117,6 +117,8 @@ bazel_setup_bazelrc() {
EOF
if tc-is-cross-compiler; then
+ echo "build --distinct_host_configuration" >> "${T}/bazelrc" || die
+ else
echo "build --nodistinct_host_configuration" >> "${T}/bazelrc" || die
fi
}